"use strict"; 
( function( wp ) {
	var registerPlugin = wp.plugins.registerPlugin;
	var PluginSidebar = wp.editPost.PluginSidebar;
	var el = wp.element.createElement;
    
	registerPlugin( 'ucomments-sidebar', {
		render: function() {
            function updateMessage( ) {
                var postId = wp.data.select("core/editor").getCurrentPostId();
                if (confirm("Are you sure you want to submit this post now?") == true) {
                    document.getElementById('ucomments_submit_post').setAttribute('disabled','disabled');
                    document.getElementById("ucomments_span").innerHTML = 'Posting status: Submitting... (please do not close or refresh this page) ';
                    var data = {
                         action: 'ucomments_post_now',
                         id: postId
                    };
                    jQuery.post(ajaxurl, data, function(response) {
                        document.getElementById('ucomments_submit_post').removeAttribute('disabled');
                        document.getElementById("ucomments_span").innerHTML = 'Posting status: Done! ';
                    });
                } else {
                    return;
                }
            }
			return el( PluginSidebar,
				{
					name: 'ucomments-sidebar',
					icon: 'admin-comments',
					title: 'uComment Comment Publisher',
				},
				el(
                    'div', 
                    { className: 'coderevolution_gutenberg_div' },
                    el(
                        'h4',
                        { className: 'coderevolution_gutenberg_title' },
                        'Publish Comments Manually '
                    ),
                    el(
                        'input',
                        { type:'button', id:'ucomments_submit_post', value:'Post Comments Now!', onClick: updateMessage, className: 'coderevolution_gutenberg_button button button-primary' }
                    ),
                    el(
                    'br'
                    ),
                    el(
                    'br'
                    ),
                    el(
                        'div', 
                        {id:'ucomments_span'},
                        'Posting status: idle'
                    )
				)
			);
		},
	} );
} )( window.wp );